Group Quota Subscriptions - List

GroupQuotas ile ilişkili subscriptionId'lerin listesini döndürür.

GET https://management.azure.com/providers/Microsoft.Management/managementGroups/{managementGroupId}/providers/Microsoft.Quota/groupQuotas/{groupQuotaName}/subscriptions?api-version=2025-09-01

URI Parametreleri

Name İçinde Gerekli Tür Description
groupQuotaName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z][a-z0-9]*$

GroupQuota adı. Ad, sağlanan tenantId/MgId bağlamı için benzersiz olmalıdır.

managementGroupId
path True

string

minLength: 3
maxLength: 63

Yönetim grubu kimliği.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Name Tür Description
200 OK

GroupQuotaSubscriptionIdList

Azure işlemi başarıyla tamamlandı.

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

GroupQuotaSubscriptions_List_Subscriptions

Örnek isteği

GET https://management.azure.com/providers/Microsoft.Management/managementGroups/E7EC67B3-7657-4966-BFFC-41EFD36BAA09/providers/Microsoft.Quota/groupQuotas/groupquota1/subscriptions?api-version=2025-09-01

Örnek yanıt

{
  "nextLink": "https://yourLinkHere.com",
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.Quota/groupQuotas/subscriptions",
      "id": "/providers/Microsoft.Management/managementGroups/E7EC67B3-7657-4966-BFFC-41EFD36BAA09/providers/Microsoft.Quota/groupQuotas/groupquota1/subscriptions/00000000-0000-0000-0000-000000000000",
      "properties": {
        "provisioningState": "Succeeded",
        "subscriptionId": "00000000-0000-0000-0000-000000000000"
      }
    },
    {
      "name": "11111111-1111-1111-1111-111111111111",
      "type": "Microsoft.Quota/groupQuotas/subscriptions",
      "id": "/providers/Microsoft.Management/managementGroups/E7EC67B3-7657-4966-BFFC-41EFD36BAA09/providers/Microsoft.Quota/groupQuotas/groupquota1/subscriptions/11111111-1111-1111-1111-111111111111",
      "properties": {
        "provisioningState": "Succeeded",
        "subscriptionId": "11111111-1111-1111-1111-111111111111"
      }
    }
  ]
}

Tanımlar

Name Description
createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

GroupQuotaSubscriptionId

Bu, GroupQuotasEntity ile ilişkili bir Azure subscriptionId'yi temsil eder.

GroupQuotaSubscriptionIdList

GroupQuotaSubscriptionIds Listesi

GroupQuotaSubscriptionIdProperties
RequestState

İstek durumu.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

GroupQuotaSubscriptionId

Bu, GroupQuotasEntity ile ilişkili bir Azure subscriptionId'yi temsil eder.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Kaynağın adı

properties

GroupQuotaSubscriptionIdProperties

systemData

systemData

createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

GroupQuotaSubscriptionIdList

GroupQuotaSubscriptionIds Listesi

Name Tür Description
nextLink

string (uri)

Öğelerin bir sonraki sayfasına bağlantı

value

GroupQuotaSubscriptionId[]

Bu sayfadaki GroupQuotaSubscriptionId öğeleri

GroupQuotaSubscriptionIdProperties

Name Tür Description
provisioningState

RequestState

Bu subscriptionId'nin GroupQuotasEntity ile ilişkilendirilme durumu.

subscriptionId

string

Azure subscriptionId.

RequestState

İstek durumu.

Değer Description
Accepted

Kontenjan talebi kabul edildi.

Created

Kota isteği oluşturuldu.

Invalid

Kota isteği geçersiz.

Succeeded

Kota isteği başarılı oldu.

Escalated

Kota isteği daha fazla gözden geçirilmek üzere yükseltildi. Lütfen bir destek bileti oluşturun. Bir destek mühendisi takip edecektir.

Failed

Kota isteği başarısız oldu.

InProgress

Kota isteği şu anda işleniyor.

Canceled

Kontenjan isteği iptal edildi.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.